summaryrefslogtreecommitdiffstats
path: root/src/test/framework/copyright-check.sh
diff options
context:
space:
mode:
authorShakeeb <shakeebbk@in.ibm.com>2016-08-31 15:15:19 -0500
committerAMIT J. TENDOLKAR <amit.tendolkar@in.ibm.com>2016-09-01 07:07:29 -0400
commit1008ef70a71fcfdec398ff30923d5025991c85f4 (patch)
treeb22fc2a7cf2c8414ca20dfc7489a7f6d1a145878 /src/test/framework/copyright-check.sh
parent28cb5c42ddba0cb9d2a86f43785c60499170ef2f (diff)
downloadtalos-sbe-1008ef70a71fcfdec398ff30923d5025991c85f4.tar.gz
talos-sbe-1008ef70a71fcfdec398ff30923d5025991c85f4.zip
SBE code restructure: cleanup
Change-Id: I354cc79ba25b843fdb1a7524a19b8d0c41bd9051 RTC:159709 Reviewed-on: http://ralgit01.raleigh.ibm.com/gerrit1/29060 Tested-by: Jenkins Server <pfd-jenkins+hostboot@us.ibm.com> Reviewed-by: Sachin Gupta <sgupta2m@in.ibm.com> Reviewed-by: AMIT J. TENDOLKAR <amit.tendolkar@in.ibm.com>
Diffstat (limited to 'src/test/framework/copyright-check.sh')
-rwxr-xr-xsrc/test/framework/copyright-check.sh56
1 files changed, 56 insertions, 0 deletions
diff --git a/src/test/framework/copyright-check.sh b/src/test/framework/copyright-check.sh
new file mode 100755
index 00000000..ec305360
--- /dev/null
+++ b/src/test/framework/copyright-check.sh
@@ -0,0 +1,56 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/test/framework/copyright-check.sh $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2016
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+#
+# Front end to addCopyright - script to check for copyright block during
+# Gerrit checkin.
+#
+
+export WORKSPACE_DIR=`pwd`
+export ADDCOPYRIGHT=${WORKSPACE_DIR}/src/tools/hooks/addCopyright
+
+## run git show to get a list of checked in files
+CHECKINFILES=`git show --pretty=format: --name-only -n1 | tr '\n' ' '`
+## use git log to determine the year of the commit.
+## Since commits have their copyright updated at the time they are
+## committed, a commit might have a copyright date in its prolog of
+## last year. Set the DATE_OVERRIDE variable to the 'validate' to allow
+## slightly-old prologs (ie. ones corresponding to the date in the msg).
+export DATE_OVERRIDE=`git log -n1 --date=short | grep "Date" | sed "s/Date: *//" | sed "s/-.*//"`
+
+echo "========================================================================"
+
+echo " Checking Copyright blocks for checked-in files:"
+echo " $CHECKINFILES"
+echo
+$ADDCOPYRIGHT validate $CHECKINFILES --copyright-check
+
+if [ $? -eq 0 ]; then
+ echo "Copyright Check passed OK, $?"
+ exit 0
+else
+ echo "ERROR: $?"
+ exit 1
+fi
OpenPOWER on IntegriCloud